API ReferenceRecipients

Create Recipient

POST
/v2/recipients

This API call allows a client to register a recipient.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

accountNumber?string

Client account number

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

This is a composite request. It is used when you need to create a recipient.

Response Body

application/json

curl -X POST "https://example.com/v2/recipients" \  -H "Content-Type: application/json" \  -d '{    "entity": {      "type": "Company"    },    "payoutMethod": {      "type": "BankAccount"    },    "clientReference": "string"  }'
{  "entity": {    "company": {      "address": {        "country": "GB",        "line1": "1 Apartment name",        "line2": "Railway Terrace",        "locality": "Slough",        "postcode": "string",        "region": "Berkshire,QLD,TX"      },      "emailAddress": "string",      "idNumber": "string",      "idType": "string",      "industryTypeCode": "string",      "name": "string",      "phoneNumber": "string",      "taxNumber": "string"    },    "consumer": {      "address": {        "country": "GB",        "line1": "1 Apartment name",        "line2": "Railway Terrace",        "locality": "Slough",        "postcode": "string",        "region": "Berkshire,QLD,TX"      },      "emailAddress": "string",      "familyName": "string",      "givenNames": "string",      "idNumber": "string",      "idType": "string",      "mobileNumber": "string",      "phoneNumber": "string",      "taxNumber": "string",      "title": "string"    },    "isDeactivated": false,    "type": "Company"  },  "payoutMethod": {    "bank": {      "account": {        "accountName": "ACME",        "accountNumber": "12345674",        "accountType": "string",        "bic": "MIDLGB22XXX",        "branchNumber": "string",        "country": "GB",        "iban": "GB26MIDL40051512345674",        "ncc": "string"      },      "intermAccount": {        "accountName": "ACME",        "accountNumber": "12345674",        "bic": "MIDLGB22XXX",        "country": "GB",        "iban": "GB26MIDL40051512345674",        "ncc": "string"      }    },    "type": "BankAccount"  },  "currency": "string",  "recipientId": {    "clientReference": "ACMER1284",    "xeRecipientId": "124863"  }}
{  "code": 0,  "failureDateTime": "2019-08-24T14:15:22Z",  "longErrorMsg": "string",  "shortErrorMsg": "string",  "traceErrorId": "string",  "typeOfFailure": "MODEL_VALIDATION"}
Empty
Empty
Get help